▼ |  | The Typed Racket Reference

1 | Type Reference
2 | Special Form Reference
3 | Libraries Provided With Typed Racket
4 | Utilities
5 | Typed Racket Syntax Without Type Checking
6 | Typed Regions
7 | Optimization in Typed Racket
8 | Legacy Forms
9 | Compatibility Languages
10 | Experimental Features

On this page:

define-type-alias
define-typed-struct
require/ opaque-type
require-typed-struct
require-typed-struct/ provide
pdefine:
pred
Un
mu
Tuple
Parameter
Pair
values

Version: 5.3
top← prev up next →

### 8`` Legacy Forms

The following forms are provided by Typed Racket for backwards compatibility.

> > syntax

> > define-type-alias

Equivalent to define-type.

> > syntax

> > define-typed-struct

Equivalent to define-struct:

> > syntax

> > require/opaque-type

Similar to using the opaque keyword with require/typed.

> > syntax

> > require-typed-struct

Similar to using the struct keyword with require/typed.

> > syntax

> > require-typed-struct/provide

Similar to require-typed-struct, but also provides the imported identifiers.

> > syntax

> > pdefine:

Defines a polymorphic function.

> > syntax

> > (pred t)

Equivalent to (Any -> Boolean : t).

> > syntax

> > Un

An alias for U.

> > syntax

> > mu

An alias for Rec.

> > syntax

> > Tuple

An alias for List.

> > syntax

> > Parameter

An alias for Parameterof.

> > syntax

> > Pair

An alias for Pairof.

> > syntax

> > values

An alias for Values.
top← prev up next →